List rules
Returns a cursor-paginated page of pronunciation rules belonging to the specified dictionary.
Returns a cursor-paginated page of pronunciation rules belonging to the specified dictionary.
Authorization
bearerAuth AuthorizationBearer <token>
API key
In: header
Path Parameters
id*string
Query Parameters
limit?integer
Maximum number of items to return. Defaults to 50, max 200.
Range
1 <= value <= 200cursor?string
Opaque pagination cursor. Pass back the next_cursor value from a previous response.
Length
1 <= lengthResponse Body
application/json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/pronunciation-dictionaries/string/rules" \ -H "Authorization: Bearer $SPEECHBASE_API_KEY"{
"data": [
{
"id": "string",
"dictionary_id": "string",
"word": "string",
"replacement": "string",
"case_sensitive": true,
"created_at": "string",
"updated_at": "string"
}
],
"next_cursor": "string",
"has_more": true,
"limit": 0
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string"
}